summaryrefslogtreecommitdiff
path: root/tests/mv/i-4
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/i-4')
-rwxr-xr-xtests/mv/i-472
1 files changed, 72 insertions, 0 deletions
diff --git a/tests/mv/i-4 b/tests/mv/i-4
new file mode 100755
index 0000000..594c155
--- /dev/null
+++ b/tests/mv/i-4
@@ -0,0 +1,72 @@
+#!/bin/sh
+# make sure `mv -i a b' does its job with a positive response
+
+# Copyright (C) 2001, 2005, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+
+pwd=`pwd`
+tmp=mv-i4-$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+
+for i in a b; do
+ echo $i > $i || framework_failure=1
+done
+echo y > y || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+mv -i a b < y >/dev/null 2>&1 || fail=1
+
+# Make sure out contains the prompt.
+case "`cat b`" in
+ a) ;;
+ *) fail=1 ;;
+esac
+
+# Ensure that mv -i a b works properly with `n' and `y'
+# responses, even when a and b are hard links to the same file.
+# This `n' test would fail (no prompt) for coreutils-5.0.1 through 5.3.0.
+echo n > n
+rm -f a b
+echo a > a
+ln a b
+mv -i a b < n >/dev/null 2>&1 || fail=1
+test -r a || fail=1
+test -r b || fail=1
+mv -i a b < y >/dev/null 2>&1 || fail=1
+test -r a && fail=1
+test -r b || fail=1
+
+exit $fail